"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetPipelineState_1 = require("../model/operations/GetPipelineState");
var GetPipelineStateCommand = /** @class */ (function () {
    function GetPipelineStateCommand(input) {
        this.input = input;
        this.model = GetPipelineState_1.GetPipelineState;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetPipelineStateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetPipelineStateCommand;
}());
exports.GetPipelineStateCommand = GetPipelineStateCommand;
//# sourceMappingURL=GetPipelineStateCommand.js.map