"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListPipelineExecutions_1 = require("../model/operations/ListPipelineExecutions");
var ListPipelineExecutionsCommand = /** @class */ (function () {
    function ListPipelineExecutionsCommand(input) {
        this.input = input;
        this.model = ListPipelineExecutions_1.ListPipelineExecutions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListPipelineExecutionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListPipelineExecutionsCommand;
}());
exports.ListPipelineExecutionsCommand = ListPipelineExecutionsCommand;
//# sourceMappingURL=ListPipelineExecutionsCommand.js.map