"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdatePipeline_1 = require("../model/operations/UpdatePipeline");
var UpdatePipelineCommand = /** @class */ (function () {
    function UpdatePipelineCommand(input) {
        this.input = input;
        this.model = UpdatePipeline_1.UpdatePipeline;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdatePipelineCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdatePipelineCommand;
}());
exports.UpdatePipelineCommand = UpdatePipelineCommand;
//# sourceMappingURL=UpdatePipelineCommand.js.map