"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TagResourceInput_1 = require("../shapes/TagResourceInput");
var TagResourceOutput_1 = require("../shapes/TagResourceOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var TooManyTagsException_1 = require("../shapes/TooManyTagsException");
var InvalidTagsException_1 = require("../shapes/InvalidTagsException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.TagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TagResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: TagResourceInput_1.TagResourceInput
    },
    output: {
        shape: TagResourceOutput_1.TagResourceOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: TooManyTagsException_1.TooManyTagsException
        },
        {
            shape: InvalidTagsException_1.InvalidTagsException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        }
    ]
};
//# sourceMappingURL=TagResource.js.map