"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CodePipelineClient_1 = require("../../CodePipelineClient");
var ListPipelinesCommand_1 = require("../../commands/ListPipelinesCommand");
var GetPipelineCommand_1 = require("../../commands/GetPipelineCommand");
describe("@aws-sdk/client-codepipeline-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("ListPipelines should succeed when given correct input", function (done) {
        var client = new CodePipelineClient_1.CodePipelineClient({
            region: defaultRegion,
            credentials: credentials
        });
        var listPipelines = new ListPipelinesCommand_1.ListPipelinesCommand({});
        client
            .send(listPipelines)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
    it("GetPipeline should fail when given bad input", function (done) {
        var client = new CodePipelineClient_1.CodePipelineClient({
            region: defaultRegion,
            credentials: credentials
        });
        var getPipeline = new GetPipelineCommand_1.GetPipelineCommand({
            name: "fake-pipeline"
        });
        client
            .send(getPipeline)
            .then(function (result) {
            expect(result).toBeUndefined();
            done();
        })
            .catch(function (err) {
            expect(err).toBeDefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map